package com.xtd.project.system.service;

import java.util.List;
import com.xtd.project.system.domain.DbMateriel;
import com.xtd.project.system.domain.vo.TreeNodeVo;

/**
 * 物料Service接口
 *
 * @author xtd
 * @date 2020-04-07
 */
public interface IDbMaterielService
{
    /**
     * 查询物料
     *
     * @param mId 物料ID
     * @return 物料
     */
    public DbMateriel selectDbMaterielById(Long mId);

    /**
     * 查询物料列表
     *
     * @param dbMateriel 物料
     * @return 物料集合
     */
    public List<DbMateriel> selectDbMaterielList(DbMateriel dbMateriel);

    /**
     * 新增物料
     *
     * @param dbMateriel 物料
     * @return 结果
     */
    public int insertDbMateriel(DbMateriel dbMateriel);

    /**
     * 修改物料
     *
     * @param dbMateriel 物料
     * @return 结果
     */
    public int updateDbMateriel(DbMateriel dbMateriel);

    /**
     * 批量删除物料
     *
     * @param mIds 需要删除的物料ID
     * @return 结果
     */
    public int deleteDbMaterielByIds(Long[] mIds);

    /**
     * 删除物料信息
     *
     * @param mId 物料ID
     * @return 结果
     */
    public int deleteDbMaterielById(Long mId);

    List<TreeNodeVo> treelist();
}
